function KillingBlowAnnouncer:ToggleEnableKBTDrag(info, value)
    self.db.profile.EnableKBTDrag = value;
    lockKbtracker();
end;

function KillingBlowAnnouncer:ToggleEnableKBT(info, value)
    self.db.profile.EnableKBT = value;
    hideKbtracker();
end;

function KillingBlowAnnouncer:SetKillingMessage(info, newValue)
    self.db.profile.killingMessage = newValue;
    setKillingMsg();
end;

function KillingBlowAnnouncer:SetMessage(info, newValue)
    self.db.profile.message = newValue;
end;

function KillingBlowAnnouncer:SetRed(info, newValue)
    self.db.profile.red = newValue;
end;

function KillingBlowAnnouncer:SetBlue(info, newValue)
    self.db.profile.blue = newValue;
end;
function KillingBlowAnnouncer:SetGreen(info, newValue)
    self.db.profile.green = newValue;
end;

function KillingBlowAnnouncer:SetPrevSession(info, newValue)
    self.db.profile.prevSession = newValue;
end;

function KillingBlowAnnouncer:SetFadeInTime(info, value)
    self.db.profile.KBI_fadeInTime = value;
end;

function KillingBlowAnnouncer:SetFadeOutTime(info, value)
    self.db.profile.KBI_fadeOutTime = value;
end;

function KillingBlowAnnouncer:SetEndDelay(info, value)
    self.db.profile.KBI_duration = value;
end;

function KillingBlowAnnouncer:SetModus(info, value)
    self.db.profile.KB_modus = value;
end;

function KillingBlowAnnouncer:SetMinimapStatus(info, value)
    self.db.profile.minimap.hide = value;
end;

function KillingBlowAnnouncer:ToggleEnablePVP(info, value)
    self.db.profile.enablePVP = value;
end;

function KillingBlowAnnouncer:ToggleEnableMSG(info, value)
    self.db.profile.enableMSG = value;
end;

function KillingBlowAnnouncer:SetChatChannel(info, value)
    self.db.profile.chatChannel = value;
end;

function KillingBlowAnnouncer:ToggleEnableKBSound(info, value)
    self.db.profile.enableKBSound = value;
end;

function KillingBlowAnnouncer:ToggleEnableKB(info, value)
    self.db.profile.enableKB = value;
end;

function KillingBlowAnnouncer:SetVisibleTime(info, value)
    self.db.profile.visibleTime = value;
    setTime()
end;

function KillingBlowAnnouncer:SetFadeTime(info, value)
    self.db.profile.fadeTime = value;
    setTime();
end;

function KillingBlowAnnouncer:SetTrackerBackground(info, value)
    self.db.profile.trackerBackground = value;
    setBackdrop();
end;

function KillingBlowAnnouncer:SetTrackerBorder(info, value)
    self.db.profile.trackerBorder = value;
    setBackdrop();
end;

function KillingBlowAnnouncer:SetFontSize(info, value)
    self.db.profile.fontSize = value;
    setFont();
end;

function KillingBlowAnnouncer:SetFont(info, value)
    self.db.profile.font = value;
    setFont();
end;

function KillingBlowAnnouncer:SetTrackerFont(info, value)
    self.db.profile.trackerFont = value;
    setTrackerFont();
end;

function KillingBlowAnnouncer:SetSound(info, value)
    self.db.profile.sound = value;
end;

function KillingBlowAnnouncer:SetSoundLevel(info, value)
    self.db.profile.soundLevel = value;
end;

function KillingBlowAnnouncer:SetOutline(info, value)
    self.db.profile.outline = value;
    setFont();
end;

function KillingBlowAnnouncer:ToggleEnableSnap(info, value)
    self.db.profile.enableSnap = value;
    snapMessage();
end;

function KillingBlowAnnouncer:ToggleEnableMinimapIcon(info, value)
    self.db.profile.minimap.enableMinimapIcon = value;
end;

function KillingBlowAnnouncer:ToggleEnableMSGAnnounce(info, value)
    self.db.profile.enableMSGAnnounce = value;
end;

function KillingBlowAnnouncer:SetAnnounceMessage(info, value)
    self.db.profile.messageAnnounce = value;
end;

function KillingBlowAnnouncer:SetChatAnnounceChannel(info, value)
    self.db.profile.chatAnnounceChannel = value;
end;

function KillingBlowAnnouncer:SetKBIImage(info, value)
    self.db.profile.KBI_image = value;
    imageObj:SetTexture(value)
end;

function KillingBlowAnnouncer:SetKBIWidth(info, value)
    self.db.profile.KBI_width = value;
    resizeKBIImage(value,KillingBlowAnnouncer:GetKBIHeight(info))
end;

function KillingBlowAnnouncer:SetKBIHeight(info, value)
    self.db.profile.KBI_height = value;
    resizeKBIImage(KillingBlowAnnouncer:GetKBIWidth(info),value)
end;

function KillingBlowAnnouncer:ToggleKBIDebug(info, value)
    if(value == true) then
        imageAnimationIn:Stop();
        imageAnimationOut:Stop();
        fade()
    end

    self.db.profile.KBI_debug = value;
end;
